Get 30% Discount on Business Pack Order here Click Here
زموږ اپلی click on the icon in the top right of the address bar.

خبرتیا اداره کوونکي

GET https://uptimer24.com/api/notification-handlers/
curl --request GET \
--url 'https://uptimer24.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
پیرامیټرونه تفصیلات تفصیل
search اختیاري سټرينګ د لټون تار.
search_by اختیاري سټرينګ تاسو د کومې برخې له مخې لټون کوئ. اجازه ورکړل شوي ارزښتونه دي: name.
is_enabled اختیاري بولین
type اختیاري سټرينګ تاسو د کومې برخې له مخې لټون کوئ. اجازه ورکړل شوي ارزښتونه دي: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id.
datetime_field اختیاري سټرينګ اجازه ورکړل شوي ارزښتونه: datetime, last_datetime
datetime_start اختیاري سټرينګ Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end اختیاري سټرينګ Filter results up to this datetime. Y-m-d H:i:s format.
order_by اختیاري سټرينګ کومه برخه چې د پایلو د ترتیب لپاره وټاکل شي. اجازه ورکړل شوي ارزښتونه دي: notification_handler_id, datetime, last_datetime, name.
order_type اختیاري سټرينګ د پایلو ترتیب. اجازه ورکړل شوي ارزښتونه دي: ASC د پورته ترتیب لپاره، او DESC د ښکته ترتیب لپاره.
page اختیاري عدد صحیح هغه د پاڼې شمېره چې تاسو یې پایلې غواړئ. په ډیفالټ کې 1 دی.
results_per_page اختیاري عدد صحیح تاسو په هره پاڼه کې څو پایلې غواړئ. اجازه ورکړل شوي ارزښتونه دي: 10, 25, 50, 100, 250, 500, 1000. په ډیفالټ ډول 25 ته ټاکل شوی.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "[email protected]"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-07-19 04:06:57",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimer24.com/api/notification-handlers?page=1",
        "last": "https://uptimer24.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimer24.com/api/notification-handlers?page=1"
    }
}
GET https://uptimer24.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-07-19 04:06:57",
    }
}
POST https://uptimer24.com/api/notification-handlers
پیرامیټرونه تفصیلات تفصیل
name ضروري سټرينګ -
type ضروري سټرينګ اجازه ورکړل شوي ارزښتونه: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id
email اختیاري سټرينګ شته کله: type = email بریښنالیک
webhook اختیاري سټرينګ شته کله: type = webhook ویب هوک URL
slack اختیاري سټرينګ شته کله: type = slack د Slack ویب هوک URL
discord اختیاري سټرينګ شته کله: type = discord Discord ویب هوک URL
telegram اختیاري سټرينګ شته کله: type = telegram ټیلیګرام API ټوکن
telegram_chat_id اختیاري سټرينګ شته کله: type = telegram ټیلیګرام چیټ ID
microsoft_teams اختیاري سټرينګ شته کله: type = microsoft_teams مایکروسافټ ټیمز ویب هوک URL
google_chat اختیاري سټرينګ شته کله: type = google_chat د ګوګل چیټ ویب هوک URL
x_consumer_key اختیاري سټرينګ شته کله: type = x ټیلیګرام API ټوکن
x_consumer_secret اختیاري سټرينګ شته کله: type = x ټیلیګرام API ټوکن
x_access_token اختیاري سټرينګ شته کله: type = x ټیلیګرام API ټوکن
x_access_token_secret اختیاري سټرينګ شته کله: type = x ټیلیګرام API ټوکن
push_subscriber_id اختیاري سټرينګ شته کله: type = push_subscriber_id پش ګډونوال
curl --request POST \
--url 'https://uptimer24.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
    "data": {
        "id": 1
    }
}
POST https://uptimer24.com/api/notification-handlers/{notification_handler_id}
پیرامیټرونه تفصیلات تفصیل
name اختیاري سټرينګ -
type اختیاري سټرينګ اجازه ورکړل شوي ارزښتونه: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id
email اختیاري سټرينګ شته کله: type = email بریښنالیک
webhook اختیاري سټرينګ شته کله: type = webhook ویب هوک URL
slack اختیاري سټرينګ شته کله: type = slack د Slack ویب هوک URL
discord اختیاري سټرينګ شته کله: type = discord Discord ویب هوک URL
telegram اختیاري سټرينګ شته کله: type = telegram ټیلیګرام API ټوکن
telegram_chat_id اختیاري سټرينګ شته کله: type = telegram ټیلیګرام چیټ ID
microsoft_teams اختیاري سټرينګ شته کله: type = microsoft_teams مایکروسافټ ټیمز ویب هوک URL
google_chat اختیاري سټرينګ شته کله: type = google_chat د ګوګل چیټ ویب هوک URL
x_consumer_key اختیاري سټرينګ شته کله: type = x ټیلیګرام API ټوکن
x_consumer_secret اختیاري سټرينګ شته کله: type = x ټیلیګرام API ټوکن
x_access_token اختیاري سټرينګ شته کله: type = x ټیلیګرام API ټوکن
x_access_token_secret اختیاري سټرينګ شته کله: type = x ټیلیګرام API ټوکن
push_subscriber_id اختیاري سټرينګ شته کله: type = push_subscriber_id پش ګډونوال
is_enabled اختیاري بولین -
curl --request POST \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptimer24.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \